<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
$dont_close_session = true;
include "../common.inc.php";
AccessCheck();

// include the class file for the checks
include_once "checkfacebookconf.php";

// Check if we got a username or email saved on the profiles global settings.
if($_GET['action']=="checkloginexists") {
	$fb = new checkFacebookConf($_GET["conf"],$_GET["email"]);
	$fb->CheckProfileCurrentLogin();
}

// Saves the login settings found on the facebook.logaholic.com database in a 'buffer'
if($_GET['action']=="save_fb_login_data") {
	// var_dump($_GET);
	$data = ($_GET["serverdata"]);
	$data = html_entity_decode($data);
	$data = json_decode($data);
	$save["id"] = $data->userid;
	$save["token"] = $data->token;
	$save = json_encode($save);
	
	$profile->SetOtherSettings("FacebookServerApi.".$_GET["email"] , $save);
	echo true;
}

// Compares the data from your profile with that from the faceboook database.
if($_GET['action'] == "compareData"){
	$fb = new checkFacebookConf($_GET["conf"],$_GET["email"]);
	$fb->compareLoginData();
}

// If your saved data is different then that from the facebook database this data must be updated.
if($_GET['action'] == "updateData"){
	$fb = new checkFacebookConf($_GET["conf"],$_GET["email"]);
	$fb->updateLoginData();
}

// delete the 'buffer' data.
if($_GET['action'] == "deleteFacebookDatabaseData"){
	$fb = new checkFacebookConf($_GET["conf"],$_GET["email"]);
	$fb->deleteFacebookDatabaseData();
	$profile->Load($_REQUEST["conf"]);	
}

// If there are no saves on the current profile. Save the login settings.
if($_GET['action'] == "firstGlobalSettingsSave"){
	$fb = new checkFacebookConf($_GET["conf"],$_GET["email"]);
	$fb->firstGlobalSettingsSave($_GET["serverdata"]);
}

// save the login the users uses. Can be the username or email adress to access the facebook data.
if($_GET['action'] == "save_login_input"){
	$fb = new checkFacebookConf($_GET["conf"],$_GET["email"]);
	$fb->saveLogin();
}
?>