<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
if(!defined('APP_INCLUDE')){ die('invalid inclusion'); }

$subscid = $session->userinfo['subscriptionid'];
if(empty($subscid)){
	$subscid = getGlobalSetting("DefaultSubscription", "");
}

$query = $db->Execute("SELECT * FROM ".TBL_SUBSCRIPTIONS);
$sub_ids['all'] = array();
$sub_ids['available'] = array();
$current_subscription = "";

while ($row = $query->fetchRow()) {
	$subdata = json_decode($row['value'],true);
	
	if(empty($subdata['reports'])){
		continue;
	}

	foreach ($subdata['reports'] as $key => $id) {
		if(!in_array($id,$sub_ids['all'])){
			$sub_ids['all'][] = $id;
		}

		if($row['id'] == $subscid){
			$sub_ids['available'][] = $id;
			
			$session->subscription = array( 
				"Id" => $row['id'] 
				,"Name" => $row['name']
				,"Options" => $subdata
			);


			$current_subscription = $row['name'];
		}
		$sub_ids['subs'][$id][] = $row['name'];
	}
}

# Default set the reports array();
$reports = array();

if(empty($sub_ids['all'])){
	# no reports found...
} else {
	
	$q = $db->Execute("SELECT * FROM ".TBL_REPORTS." WHERE id in (". implode(",",$sub_ids['all']) .")");
	while($row = $q->fetchRow()){
		$r = json_decode($row['value'],true);

		# Lets see if this report is available in the current subscription
		if(in_array($row['id'],$sub_ids['available'])){

			# Oh my it is. wel lets include it then.
			$file = "{$row['filename']}.php";
			if(!empty($includes[$file])){
				include_once($includes[$file]);
			}
			
		} else {		
			$reports_blocked[$r['Label']] = $r;
			$reports_blocked[$r['Label']]['Order'] = 99;
			$reports_blocked[$r['Label']]['blocked_by_subscription'] = true;
			$reports_blocked[$r['Label']]['subscriptions'] = $sub_ids['subs'][$row['id']];
		}
	}
}
?>