<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
include_once "common.inc.php";
AccessCheck();

include_once("components/geoip/open_geoip.php");
include_once "includes/editvisitors_class.php";

$template->HTMLheadTag();
$template->BodyStart();

if(!$session->canEditProfiles()) {
	echoNotice("Sorry, you don't have permissions to access this page.","width:400px;margin:0 auto;");
	exit;
}

$edit = new editVisitor();
if(isset($_REQUEST["visid"])){
	$edit->updateLabel($_REQUEST["visid"],$_REQUEST["label"]);
	
	# Fetch visitordata before changing its crawl option.
	$data = $edit->getData('id',$_REQUEST["visid"]);
	
	if($_REQUEST["setting"] == "bot"){ $crawl = 1; }else{ $crawl = 0; }
	$edit->updateSetting($crawl,$_REQUEST["visid"]);
	
	if($data[0]['crawl'] != $crawl){
		echoWarning("You have identified this visitor as a {$_REQUEST["setting"]}. This change will not be reflected in previously analyzed data unless you remove the data files. To remove data files for a particular date range, go to Profile Maintenance and choose 'Delete a specific Date Range from this profile' and select 'Delete only Datafiles Data'.","margin:10px;");
	}
}
if(isset($_REQUEST["visitorid"])){
	$edit->EditVisitorId($_REQUEST["visitorid"]);
}else{
	if(isset($_REQUEST["ipnumber"])){
		$edit->EditIpnumber($_REQUEST["ipnumber"]);
	}
}
?>